eDocTalk article

Tech note: Epic Upgrade training underway. Have you registered?

February 2014

Legacy is requiring training for all active medical staff members before it moves to a new Epic version in April.

Physicians and provider classes are four hours in length and are running now through April 10. You can review the course catalog, which includes scheduled class locations and times.

Register today

Registration is required. Please call 503-413-3363 or email Epicprovidertraining@lhs.org

Workflows impacted

The new version of Epic is sufficiently different from the current version. Many workflows, especially those that are more complex, will be impacted. We want to ensure that you have an opportunity to learn the new workflows, and to also learn about tools and resources that will help you be more efficient using the EHR.

Do ICD-10 before Epic training

We encourage you to complete your online ICD-10 education prior to attending the separate Epic training. You have been sent an email from EplusOnline with information.

However, you do not need to take your ICD-10 training with Legacy. If you choose to complete ICD-10 education through another organization, please send an email with attestation of completion to ICD10providerregistration@lhs.org. Please include the name of the organization where the training was completed.

See ICD-10 for physicians for more information.

 

Back to current edition home page